Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Xpo.DB

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class LateCharges
    Inherits BaseObject
    Private _InvoiceHeader As InvoiceHeader 'Aktuális számla
    Private _DateExecution As Date 'Dátum
    Private _CapitalBalanceHUF As Double 'Tőke egyenleg HUF
    Private _CapitalBalanceDEV As Double 'Tőke egyenleg DEV
    Private _LateChargesBalanceHUF As Double ' Késedelmi kamat egyenleg HUF
    Private _LateChargesBalanceDEV As Double ' Késedelmi kamat egyenleg DEV
    Private _CostBalanceHUF As Double ' Egyéb költség
    Private _CostBalanceDEV As Double
    Private _DebitHUF As Double
    Private _DebitDEV As Double
    Private _CreditHUF As Double
    Private _CreditDEV As Double
    Private _CostNote As String
    Private _CurrentLateChargesPercent As Double
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property InvoiceHeader As InvoiceHeader
        Get
            Return _InvoiceHeader
        End Get
        Set(value As InvoiceHeader)
            SetPropertyValue("InvoiceHeader", _InvoiceHeader, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property CapitalBalanceHUF As Double
        Get
            Return _CapitalBalanceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("CapitalBalanceHUF", _CapitalBalanceHUF, value)
        End Set
    End Property
    Property CapitalBalanceDEV As Double
        Get
            Return _CapitalBalanceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("CapitalBalanceDEV", _CapitalBalanceDEV, value)
        End Set
    End Property
    Property LateChargesBalanceHUF As Double
        Get
            Return _LateChargesBalanceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("LateChargesBalanceHUF", _LateChargesBalanceHUF, value)
        End Set
    End Property
    Property LateChargesBalanceDEV As Double
        Get
            Return _LateChargesBalanceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("LateChargesBalanceDEV", _LateChargesBalanceDEV, value)
        End Set
    End Property
    Property CostBalanceHUF As Double
        Get
            Return _CostBalanceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("CostBalanceHUF", _CostBalanceHUF, value)
        End Set
    End Property
    Property CostBalanceDEV As Double
        Get
            Return _CostBalanceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("CostBalanceDEV", _CostBalanceDEV, value)
        End Set
    End Property
    Property DebitHUF As Double
        Get
            Return _DebitHUF
        End Get
        Set(value As Double)
            SetPropertyValue("DebitHUF", _DebitHUF, value)
        End Set
    End Property
    Property DebitDEV As Double
        Get
            Return _DebitDEV
        End Get
        Set(value As Double)
            SetPropertyValue("DebitDEV", _DebitDEV, value)
        End Set
    End Property
    Property CreditHUF As Double
        Get
            Return _CreditHUF
        End Get
        Set(value As Double)
            SetPropertyValue("CreditHUF", _CreditHUF, value)
        End Set
    End Property
    Property CreditDEV As Double
        Get
            Return _CreditDEV
        End Get
        Set(value As Double)
            SetPropertyValue("CreditDEV", _CreditDEV, value)
        End Set
    End Property
    Property CostNote As String
        Get
            Return _CostNote
        End Get
        Set(value As String)
            SetPropertyValue("CostNote", _CostNote, value)
        End Set
    End Property
    Property CurrentLateChargesPercent As Double
        Get
            Return _CurrentLateChargesPercent
        End Get
        Set(value As Double)
            SetPropertyValue("CurrentLateChargesPercent", _CurrentLateChargesPercent, value)
        End Set
    End Property
End Class
